cURL
curl --request PATCH \ --url https://www.ruddr.io/api/workspace/project-types/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "isActive": true, "invoiceItemId": "<string>" } '
200
Result
{ "id": "a3f1c2d4-7e89-4b56-a123-8d2e9f034c71", "name": "Internal Delivery", "isActive": true, "createdAt": "2025-09-18T14:25:35.149Z", "invoiceItem": { "id": "72761804-b01e-4c8f-8352-2fcde43261a8", "name": "Service" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The project type uuid.
uuid
The name of the project type. Max 255 characters.
Whether the project type is active.
The unique identifier of the invoice item associated with this project type.
The unique identifier for the object.
The name of the project type.
The timestamp when the object was created.
The invoice item associated with this project type.
Show child attributes